:root{
   --white: rgb(255, 255, 255);
   --blue: rgb(116, 188, 255);
   --blue-hover: rgb(2, 92, 175);
   --yellow: rgb(255, 189, 8);
   --light-gray: rgba(90, 90, 90, 0.5);
   --gray: rgba(43, 43, 43, 0.9);
   --black: rgba(22, 22, 22, 0.9);
}

*{
	margin: 0;
	padding: 0;
	font-family: 'Poppins', sans-serif;
}

.header{
	min-height: 100vh;
	width: 100%;
	background-image: linear-gradient(var(--gray), var(--black)), url(../assets/images/bg/banner1.jpg);
	background-position: center;
	background-size: cover;
	position: relative;
}

/* Ini Navigasi */
nav {
	display: flex;
	padding: 2% 6%;
	justify-content: space-between;
	align-items: center;

}
nav img{
	width: 150px;
}

.nav-links{
	flex: 1;
	text-align: right;
}

.nav-links ul li {
	list-style: none;
	display: inline-block;
	padding: 8px 12px;
	position: relative;
}

.nav-links ul li a{
	color: var(--white);
	text-decoration: none;
	font-size: 13px;
}

.nav-links ul li::after{
	content: '';
	width: 0%;
	height: 2px;
	background: var(--black);
	display: block;
	margin: auto;
}

.nav-links ul li:hover::after{
	width: 100%;
}

/* Ini Home */

.text-box{
	width: 90%;
	color: var(--white);
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
}

.text-box .text h1{
    color: var(--yellow);
	font-size: 140px;
	font-weight: 700;
	position: relative;
}

.text h1 span{
    color: var(--blue);
}

.text-box svg{
    position: absolute;
    left: 50%;
    top: 50%;
    width: 45%;
    transform: translate(-50%, -50%);
}

.hero-btn{
	display: inline-block;
	text-decoration: none;
	color: var(--white);
	border: 1px solid var(--blue);
	padding: 8px 20px;
	font-size: 20px;
	background: var(--blue);
	position: relative;
	border-radius: 5px;
}

nav .fa-solid{
	display: none;
}

/* Ini story */
.story{
    width: 85%;
    margin: auto;
    text-align: center;
    padding-top: 10px;
    margin-bottom: 50px;
}

p{
    color: var(--gray);
    font-size: 14px;
    font-weight: 500;
    line-height: 22px;
    padding: 10px;
	text-align: center;
}

p span{
    font-weight: 700;
}

.row{
    margin-top: 5%;
}

.story-col{
    width: 100%;
    flex-basis: 31%;
    background: var(--blue);
    border-radius: 10px;
	margin-bottom: 5%;
	padding: 20px 12px;
	box-sizing: border-box;
	transition: 0.5s;
	font-size: 18px;
}

.story-col:hover{
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.1);
    transition: 0.7s;
}

/* Ini Location */
.image {
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
    color: var(--black);
}

.image-col {
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}

.image h1{
    color: var(--yellow);
}

.image h1 span{
    color: var(--blue);
}

.image-col img{
    width: 100%;
    display: block;
    background-image: url('images/bg.png');
    background-size: cover;
}

.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}

.layer h3{
    width: 100%;
    font-weight: 500;
    color: var(--white);
    font-size: 25px;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    transition: 0.5s;
}

.layer:hover{
    background-color: rgba(116, 188, 255, 0.7);
}

.layer:hover h3{
    bottom: 49%;
    opacity: 1;
}

.image-row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
    flex-basis: 31%;
}

.waves{
    position: absolute;
    bottom: 70%;
}

footer{
	min-height: 50vh;
	width: 100%;
	background-color: #74BCFF;
	background-position: center;
	background-size: cover;
	position: relative;
}

.main-content{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding-top: 100px;
    padding-bottom: 50px;
}

.main-content .box{
    flex-basis: 50%;
    padding: 10px 20px;
}

.box h2{
    font-size: 1.125rem;
    font-weight: 600;
    text-transform: uppercase;
}

.box .content{
    margin: 20px 0 0 0;
}

.left{
    margin-left: 41%;
}

.left .content p{
    text-align: justify;
}

.left .content .social{
    margin: 20px 0 0 0;
}

.left .content .social a{
    padding-block: 0 2px;
    color: var(--black);
}

.left .content .social a span{
    height: 40px;
    width: 40px;
    line-height: 35px;
    text-align: center;
    font-size: 18px;
}

.left .content .social a span:hover{
    background: var(--black);
    color: var(--blue);
    border-radius: 5px;
    transition: 0.5s;
}

.center .content .fas{
    font-size: 1.44rem;
    height: 45px;
    width: 45px;
    line-height: 45px;
    text-align: center;
    border-radius: 25%;
}

.center .content .text{
    font-size: 1.06rem;
    font-weight: 500;
    padding-left: 10px;
}

.center .content .phone{
    margin: 10px 0;
}

.btn {
    margin-top: 10px;
}

.btn button{
    height: 50px;
    width: 90%;
    border-color: var(--black);
    outline: none;
    background: var(--black);
    font-size: 1.06rem;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s;
    color: var(--blue);
    border-radius: 10px;
    margin-left: 50%;
}

.btn button:hover{
    background: rgba(0, 0, 0, 0.5);
    color: var(--blue);
}

.bottom center{
    padding: 5px;
    font-size: 0.9rem;
    background: var(--black);
}

.bottom center span{
    color: rgb(230, 230, 230);
}

/* Ini Responsif Tablet */
@media(max-width: 700px){
    .left{
        margin-left: 0%;
    }

	.text-box .text h1{
        font-size: 75px;
	}
    
	nav img{
		width:120px;
	}
    
	.nav-links ul li{
		display: block;
	}
	
	.nav-links{
		position: fixed;
		background: var(--black);
		height: 100vh;
		width: 200px;
		top: 0;
		right: -300px;
		text-align: left;
		z-index: 2;
		transition: 1s;
	}

	nav .fa-solid{
		display: block;
		color: var(--white);
		margin: 10px;
		font-size: 22px;
		cursor: pointer;
	}
	.nav-links{
		padding: 30px;
	}
	
	.text-box svg{
	    width: 55%;
	}
	
    .row{
        flex-direction: column;
    }
    
    .image-row{
        flex-direction: column;
    }
    
    .waves{
        position: absolute;
        bottom: 50%;
    }
 
    .main-content{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding-top: 30px;
    }
    
    .main-content .box{
        flex-basis: 50%;
        padding: 10px 20px;
    }
    
    .box h2{
        font-size: 1.125rem;
        font-weight: 600;
        text-transform: uppercase;
    }
    
    .box .content{
        margin: 20px 0 0 0;
    }
    
    .left .content p{
        text-align: justify;
    }
    
    .left .content .social{
        margin: 20px 0 0 0;
    }
    
    .left .content .social a{
        padding-block: 0 2px;
        color: var(--black);
    }
    
    .left .content .social a span{
        height: 40px;
        width: 40px;
        line-height: 35px;
        text-align: center;
        font-size: 18px;
    }
    
    .left .content .social a span:hover{
        background: var(--black);
        color: var(--blue);
        border-radius: 5px;
        transition: 0.5s;
    }
    
    .center .content .fas{
        height: 20px;
        width: 20px;
        line-height: 20px;
        font-size: 15px;
    }
    
    .btn {
        margin-top: 10px;
    }
    
    .btn button{
        border: none;
        margin-bottom: 15px;
        margin-left: 50%;
    }
        
    .bottom center{
        margin-top: 5px;
        padding: 10px;
        font-size: 0.9rem;
        background: var(--black);
    }
}

/* Ini Responsif2 */
@media(max-width: 400px){
    .left{
        margin-left: 0%;
    }

    .waves{
        position: absolute;
        bottom: 56%;
    }
    
    .story-col p{
        font-size: 13px;
    }
    
    .text-box .text h1{
        font-size: 60px;
    }
    .text-box svg{
        width: 95%;
    }
    .main-content{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }
    .btn button{
        margin-left: 0%;
    }
}